# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`phantomjs`](#phantomjs): Install and configure phantomjs

## Classes

### phantomjs

Install and configure phantomjs

#### Examples

##### Install PhantomJS 2.1.1 to /usr/local/bin/phantomjs

```puppet
include ::phantomjs
```

##### Install specific version of PhantomJS

```puppet
class { 'phantomjs':
   version => '1.9.8',
 }
```

#### Parameters

The following parameters are available in the `phantomjs` class.

##### `version`

Data type: `String`

Version of PhantomJS to install.

Default value: '2.1.1'

##### `source_url`

Data type: `Optional[String]`

Optional URL for PhantomJS download.

Default value: `undef`

##### `path`

Data type: `Stdlib::Absolutepath`

The path to phantomjs binary.

Default value: '/usr/local/bin/phantomjs'

##### `package_dependencies`

Data type: `Array`

Array of package dependencies

Default value: ['bzip2','fontconfig']

